services:

    ## Indicators
    chill.person.export.count_evaluation:
        class: Chill\PersonBundle\Export\Export\CountEvaluation
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export, alias: count_evaluation }

    Chill\PersonBundle\Export\Export\ListEvaluation:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export, alias: list_evaluation }

    ## Filters
    chill.person.export.filter_evaluationtype:
        class: Chill\PersonBundle\Export\Filter\EvaluationFilters\EvaluationTypeFilter
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_evaluationtype_filter }

    chill.person.export.filter_maxdate:
        class: Chill\PersonBundle\Export\Filter\EvaluationFilters\MaxDateFilter
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: accompanyingcourse_maxdate_filter }

    Chill\PersonBundle\Export\Filter\EvaluationFilters\ByStartDateFilter:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: evaluation_bystartdate_filter }

    Chill\PersonBundle\Export\Filter\EvaluationFilters\ByEndDateFilter:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: evaluation_byenddate_filter }

    Chill\PersonBundle\Export\Filter\EvaluationFilters\MaxDateFilter:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: evaluation_bymaxdate_filter }

    Chill\PersonBundle\Export\Filter\EvaluationFilters\CurrentEvaluationsFilter:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: evaluation_currentevaluations_filter }


    ## Aggregators
    chill.person.export.aggregator_evaluationtype:
        class: Chill\PersonBundle\Export\Aggregator\EvaluationAggregators\EvaluationTypeAggregator
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_evaluationtype_aggregator }

    Chill\PersonBundle\Export\Aggregator\EvaluationAggregators\ByStartDateAggregator:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_aggregator, alias: evaluation_bystartdate_aggregator }

    Chill\PersonBundle\Export\Aggregator\EvaluationAggregators\ByEndDateAggregator:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_aggregator, alias: evaluation_byenddate_aggregator }

    Chill\PersonBundle\Export\Aggregator\EvaluationAggregators\ByMaxDateAggregator:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_aggregator, alias: evaluation_bymaxdate_aggregator }

    Chill\PersonBundle\Export\Aggregator\EvaluationAggregators\HavingEndDateAggregator:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_aggregator, alias: evaluation_byend_date_aggregator }

